Subject: Re: bug#21707: include-file cleanup for src directory

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Oct 2015 10:23:02 +0300

> From: Paul Eggert <[email-masked]>
> Date: Mon, 19 Oct 2015 00:05:52 -0700
> 
> Attached is a patch to remove unnecessary #include directives from the src 
> directory, and add a few #include directives that should be there.  I'm not 
> installing this now, to give Eli a heads-up in case this affects the MS-Windows 
> port.

I had compilation warnings and errors due to redisplaying_p and
cancel_hourglass not being declared in eval.c and lread.c.  These two
files need to include dispextern.h to avoid that problem.  (This isn't
Windows specific, so I wonder how it compiled for you.)

Otherwise, LGTM, thanks.

Would someone with MinGW64 installed please try this patch and see
that it works there as well?